Subject: Re: [PATCH 1/5] scripts: dtc: Merge in changes from the dtc repository

From: David Gibson <[email-masked]>
Date: Thu, 18 Nov 2010 14:41:45 +1100

On Wed, Nov 17, 2010 at 09:47:55AM -0600, Jon Loeliger wrote:
> > On Tue, Nov 16, 2010 at 12:49:51PM -0800, John Bonesio wrote:
> > > Pull in recent changes from the main dtc repository. These changes primarily
> > > allow multiple device trees to be declared which are merged by dtc. This
> > > feature allows us to include a basic dts file and then provide more informatio
> > n
> > > for the specific system through the merging functionality.
> > > 
> > > Signed-off-by: John Bonesio <[email-masked]>
> > 
> > Jon & David, I'll need your input on whether or not this is the best
> > way to handle updating the dtc copy in the kernel tree.
> > 
> > g.
> 
> Grant,
> 
> Yeah, I wondered too. :-)  David added it and updated
> in the kernel last round, so he may have some good notion
> of what would be best there.

For now I think just a direct diff updating the in-kernel dtc to
current upstream is the simplest approach.  This is how I made the
original commit.

There may be better methods to directly arrange for pulling of the dtc
git tree into the kernel git tree, but I have not had time to
investigate and set up such a scheme.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson